diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 114599a..c06b626 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -28644,7 +28644,7 @@ DoubleFloat(): Join(FloatingPointSystem, DifferentialRing, OpenMath,
    x:% / y:%        == DFDIVIDE(x,y)$Lisp
    negative? x      == DFMINUSP(x)$Lisp
    zero? x          == ZEROP(x)$Lisp
-   hash x           == HASHEQ(x)$Lisp
+   hash x           == SXHASH(x)$Lisp
    recip(x)         == (zero? x => "failed"; 1 / x)
    differentiate x  == 0
 
@@ -117271,7 +117271,7 @@ o )show SingleInteger
 
 
 -- Lisp dependencies
--- EQ, ABSVAL, TIMES, INTEGER-LENGTH, HASHEQ, REMAINDER
+-- EQ, ABSVAL, TIMES, INTEGER-LENGTH, SXHASH, REMAINDER
 -- QSLESSP, QSGREATERP, QSADD1, QSSUB1, QSMINUS, QSPLUS, QSDIFFERENCE
 -- QSTIMES, QSREMAINDER, QSODDP, QSZEROP, QSMAX, QSMIN, QSNOT, QSAND
 -- QSOR, QSXOR, QSLEFTSHIFT, QSADDMOD, QSDIFMOD, QSMULTMOD
diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index f6ea612..62d73be 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -4159,7 +4159,7 @@ credits()
 --RHumberto Ortiz-Zuazaga  
 --RJulian A. Padget       Bill Page              David Parnas
 --RSusan Pelzel           Michel Petitot         Didier Pinchon
---RAyal Pinkus            Jose Alfredo Portes
+--RAyal Pinkus            Frederick H. Pitts     Jose Alfredo Portes
 --RGregorio Quintana-Orti Claude Quitte
 --RArthur C. Ralfs        Norman Ramsey          Anatoly Raportirenko
 --RAlbert D. Rich         Michael Richardson     Guilherme Reis
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 9e714e7..4f214d6 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -160,7 +160,7 @@ of effort. We would like to acknowledge and thank the following people:
 "Humberto Ortiz-Zuazaga"  
 "Julian A. Padget       Bill Page              David Parnas"
 "Susan Pelzel           Michel Petitot         Didier Pinchon"
-"Ayal Pinkus            Jose Alfredo Portes"
+"Ayal Pinkus            Frederick H. Pitts     Jose Alfredo Portes"
 "Gregorio Quintana-Orti Claude Quitte"
 "Arthur C. Ralfs        Norman Ramsey          Anatoly Raportirenko"
 "Albert D. Rich         Michael Richardson     Guilherme Reis"
diff --git a/changelog b/changelog
index 5bc7cb7..aa6d0c5 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,10 @@
+20120501 tpd src/axiom-website/patches.html 20120501.01.fmp.patch
+20120501 fmp books/bookvol10.3 change HASHEQ to SXHASH
+20120501 fmp src/interp/sys-pkg.lisp remove HASHEQ
+20120501 fmp src/interp/buildom.lisp change HASHEQ to SXHASH
+20120501 fmp books/bookvol10.4 add Frederick H. Pitts to credits
+20120501 fmp books/bookvol5 add Frederick H. Pitts to credits
+20120501 fmp readme Frederick H. Pitts <fred.pitts@comcast.net>
 20120430 tpd src/axiom-website/patches.html 20120430.01.tpd.patch
 20120430 tpd books/bookvol5 reset si::*system-directory* to the null string
 20120429 tpd src/axiom-website/patches.html 20120429.01.tpd.patch
diff --git a/readme b/readme
index 6e1defc..58dfeca 100644
--- a/readme
+++ b/readme
@@ -253,7 +253,7 @@ at the axiom command prompt will prettyprint the list.
 "Humberto Ortiz-Zuazaga"  
 "Julian A. Padget       Bill Page              David Parnas"
 "Susan Pelzel           Michel Petitot         Didier Pinchon"
-"Ayal Pinkus            Jose Alfredo Portes"
+"Ayal Pinkus            Frederick H. Pitts     Jose Alfredo Portes"
 "Gregorio Quintana-Orti Claude Quitte"
 "Arthur C. Ralfs        Norman Ramsey          Anatoly Raportirenko"
 "Albert D. Rich         Michael Richardson     Guilherme Reis"
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a03e64c..b444ae3 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3898,5 +3898,7 @@ books/bookvol10.5 BLAS1 ddot <br/>
 books/bookvol10.5 BLAS1 dnrm2<br/>
 <a href="patches/20120430.01.tpd.patch">20120430.01.tpd.patch</a>
 books/bookvol5 reset si::*system-directory* to the null string<br/>
+<a href="patches/20120501.01.fmp.patch">20120501.01.fmp.patch</a>
+books/bookvol10.3 change HASHEQ to SXHASH<br/>
  </body>
 </html>
diff --git a/src/interp/buildom.lisp.pamphlet b/src/interp/buildom.lisp.pamphlet
index d55e42d..b65e47b 100644
--- a/src/interp/buildom.lisp.pamphlet
+++ b/src/interp/buildom.lisp.pamphlet
@@ -621,7 +621,7 @@
            (CONS (BPINAME (CAR |x|))
                  (CONS (COND
                          (|$testingSystem| 0)
-                         ('T (REMAINDER (HASHEQ (CDR |x|)) 1000)))
+                         ('T (REMAINDER (SXHASH (CDR |x|)) 1000)))
                        NIL))))
     ('T (CONS '|theMap| (CONS (BPINAME (CAR |x|)) NIL)))))
 
diff --git a/src/interp/sys-pkg.lisp.pamphlet b/src/interp/sys-pkg.lisp.pamphlet
index 7811851..a8cc88e 100644
--- a/src/interp/sys-pkg.lisp.pamphlet
+++ b/src/interp/sys-pkg.lisp.pamphlet
@@ -401,7 +401,7 @@ provides support for compiler code.
          VMLISP::GREATERP
          VMLISP::REROOT VMLISP::DIG2FIX VMLISP::L-CASE
          VMLISP::TEREAD VMLISP::QSREMAINDER VMLISP::$FINDFILE
-         VMLISP::EQQ VMLISP::PRETTYPRINT VMLISP::HASHEQ VMLISP::LOG2
+         VMLISP::EQQ VMLISP::PRETTYPRINT VMLISP::LOG2
          VMLISP::U-CASE VMLISP::NREMOVE VMLISP::QREFELT VMLISP::SIZE
          VMLISP::EOFP VMLISP::QCDAAR VMLISP::RSHUT VMLISP::ADD1
          VMLISP::SUBSTRING VMLISP::LOADVOL
@@ -610,7 +610,6 @@ provides support for compiler code.
 (lisp:import '(vmlisp::eqcar))
 (lisp:import '(vmlisp::fixp))
 (lisp:import '(vmlisp::greaterp))
-(lisp:import '(vmlisp::hasheq))
 (lisp:import '(vmlisp::hput))
 (lisp:import '(vmlisp::hrem))
 (lisp:import '(vmlisp::identp))
